#login p{
	margin-top: 0.5em;
	margin-bottom: 0.5em;
}
@media screen and (orientation: portrait) {
	#login {
	        width: fit-content;
	        height: fit-content;
	        position: absolute;
	        top: 0;
	        bottom: 0;
	        left: 0;
	        right: 0; 
	        margin: auto;
	        font-size: 6vw;
	}
	#login input[type="text"], #login input[type="password"] {
		width: 50vw;
		height: 7vw;
		font-size: 6vw;
	}
	#login input[type="checkbox"] {
		width: 5vw;
	        height: 5vw;
	}
	#login button{
		font-size: 6vw;
	}
	#main{
                position: relative;
                padding: 5px;
                background-color: #eee;
                margin-top: 10px;
                height: auto;
                width: 97.6%;
                border: 1px solid black;
                border-radius: 5px;
        }
        #tree {
                padding: 5px;
                position: relative;
                background-color: #eef;
                margin-top: 10px;
                width: 97.6%;
                border: 1px solid black;
                border-radius: 5px;
		min-height: 39vh;
        }
        #actions{
                margin-top: 10px;
                background-color: #eee;
                height: 540px;
                width: 97.6%;
                padding: 5px;
                overflow-y: scroll;
                overflow-x: scroll;
                border: 1px solid black;
                border-radius: 5px;
                font-size: 20px;
        }
	.grid1 {
	        display: grid;
	        grid-template-columns: 1fr fit-content(102px) 0.5fr fit-content(102px) 1fr;
	        grid-template-rows: 100%;
	        grid-column-gap: 5px;
	        grid-template-areas:
	            ". userf . userm .";
		min-height: 13vh;
		
	}
	.grid2 {
	        display: grid;
	        grid-template-columns: 0.5fr fit-content(102px) 1.5fr fit-content(102px) 0.5fr;
	        grid-template-rows: 100%;
	        grid-column-gap: 5px;
	        grid-template-areas:
	            ". userfc . usermc .";
		min-height: fit-content;
	}
	.grid3 {
	        display: grid;
	        grid-template-columns: 1fr fit-content(102px) fit-content(102px) fit-content(102px) 1fr;
	        grid-template-rows: 100%;
	        grid-column-gap: 5px;
	        grid-template-areas:
	            ". userh userv userw .";
		min-height: 13vh;
	}
	.grid4 {
	        display: grid;
	        grid-template-columns: 0.5fr fit-content(102px) 1.5fr fit-content(102px) 0.5fr;
	        grid-template-rows: 100%;
	        grid-column-gap: 5px;
	        grid-template-areas:
	            ". usersc . userdc .";
		min-height: fit-content;
	}
	.grid5 {
	        display: grid;
	        grid-template-columns: 1fr auto 0.5fr auto 1fr;
	        grid-template-rows: 100%;
	        grid-column-gap: 5px;
	        grid-template-areas:
	            ". users . userd .";
		min-height: 13vh;
	}
	.usermc, .userfc, .userd, .users, .userdc, .usersc, .userw, .userh {
		overflow-y: scroll;
	        position: relative;
	        width: 100%;
		height: 85%;
	        margin-top: auto;
	        margin-bottom: auto;
	        display: block;
	}
	.userv, .userm, .userf {
	        position: relative;
	        width: 100%;
	        height: 85%;
	        margin-top: auto;
	        margin-bottom: auto;
	}
	.blockm,.blockf {
                position: relative;
                background-color: #fff;
                height: 97.5%;
                width: 48.7%;
                min-width: 100px;
                border: 1px solid black;
		min-height: 9.77375vh;
        }
        .userv > div, .userm > div, .userf > div {
                width: 99.5%;
        }
	.dcont, .scont, .wcont, .wccont, .hccont, .hcont, .mccont, .fccont, .dccont, .sccont {
                overflow-x: scroll;
                display: block;
                white-space: nowrap;
                position: relative;
                width: 100%;
                min-width: 102px;
                height: 100%;
        }
	.username {
                position: relative;
                font-size: calc(1.5vw + 1.5vh);
                text-align: center;
                margin: 0;
                line-height: 0.3em;
        }
        .usernameb {
                position: relative;
                font-size: 45pt;
                text-align: center;
                margin: 0;
                line-height: 0.3em;
        }
        .classname {
                position: relative;
                font-size: calc(1.25vw + 1.25vh);
                text-align: center;
                margin: 0;
                line-height: 2;
                font-style: italic;
        }
	#firstlevel {
		display: block;
	}
	html #main {
                font-size: calc(1.5vw + 1.5vh);
        }
	.zag {
                font-size: calc(1.25vw + 1.25vh);
        }
	#fact {
                width: 80vw;
                height: 95vh;
                border: 3px solid black;
                border-radius: 10px;
                position: fixed;
                padding: 10px;
                top: 0;
                right: 0;
                bottom: 0;
                left: 0;
                margin: auto;
                display: none;
                background: #fff;
                box-shadow: 0px 0px 0px 9999px rgba(0,0, 0, 0.5);
                z-index: 1500;
                overflow-y: scroll;
		overflow-x: hidden;
                font-size: 20px;
        }
	#fuser {
                width: 80vw;
                height: 97.5vh;
                border: 3px solid black;
                border-radius: 10px;
                position: fixed;
                padding: 5px;
                top: 0;
                right: 0;
                bottom: 0;
                left: 0;
                margin: auto;
                display: none;
                background: #fff;
                box-shadow: 0px 0px 0px 9999px rgba(0, 0, 0, 0.5);
                z-index: 1500;
                overflow-y: auto;
		overflow-x: hidden;
		font-size: 19px;
        }
	#optimg {
                height: 32px;
                width: 32px;
        }
	.smalltree, .gridn {
                height: auto;
        }
        .bigtree {
                height: 65vh;
        }
        .gridb {
                height: 13vh;
        }
	#rodstree {
                border-style: none;
                display: grid;
                grid-template-rows: 13vh auto 13vh auto 13vh;
                grid-template-columns: 100%;
                position: absolute;
                width: 100%;
                height: fit-content;
                top: 0;
                bottom: 0;
                left: 0;
                right: 0;
                margin: auto;
                grid-row-gap: 5px;
        }
	.chat {
		width: 80vw;
	        height: 80vh;
	}
	.mymes .otprav, .otmes .otprav {
	        font-size: calc(1.15vw + 1.15vh);
	}
	.mymes .messag, .otmes .messag {
	        font-size: calc(1.5vw + 1.5vh);
	}
	#mest {
		font-size: calc(1.5vw + 1.5vh);
	}
}
@media screen and (orientation: landscape) {
	#login {
	        width: fit-content;
	        height: fit-content;
	        position: absolute;
	        top: 0;
	        bottom: 0;
	        left: 0;
	        right: 0; 
	        margin: auto;
	        font-size: 3vh;
	}
        #login input[type="text"], #login input[type="password"] {
                width: 20vw;
                height: 4vh;
                font-size: 3vh;
        }
        #login input[type="checkbox"] {
                width: 2vh;
                height: 2vh;
        }
        #login button{
                font-size: 3vh;
        }
	#main{
		grid-area: main;
                padding: 5px;
		position: relative;
		margin-left: 5px;
                background-color: #eee;
                height: auto;
                width: 42.67vw;
                border: 1px solid black;
                border-radius: 5px;
        }
        #tree {
		grid-area: tree;
                padding: 5px;
		position: relative;
                background-color: #eef;
                width: 56.25vw;
                border: 1px solid black;
                border-radius: 5px;
		min-height: 48vh;
        }
        #actions{
                margin-top: 10px;
                background-color: #eee;
                max-height: 540px;
		height: auto;
                padding: 5px;
                overflow-y: scroll;
                border: 1px solid black;
                border-radius: 5px;
                font-size: 20px;
        }
	.grid1 {
                display: grid;
                grid-template-columns: 1fr 17% 0.5fr 17% 1fr;
                grid-template-rows: 100%;
                grid-column-gap: 5px;
                grid-template-areas:
                    ". userf . userm .";
		min-height: 16.34vh;
        }
        .grid2 {
                display: grid;
                grid-template-columns: 0.25fr 34% 1.5fr 34% 0.25fr;
                grid-template-rows: 100%;
                grid-column-gap: 5px;
                grid-template-areas:
                    ". userfc . usermc .";
		min-height: fit-content;
        }
        .grid3 {
                display: grid;
                grid-template-columns: 1fr 34% 17% 34% 1fr;
                grid-template-rows: 100%;
                grid-column-gap: 5px;
                grid-template-areas:
                    ". userh userv userw .";
		min-height: 16.34vh;
        }
        .grid4 {
                display: grid;
                grid-template-columns: 0.25fr 34% 1.5fr 34% 0.25fr;
                grid-template-rows: auto;
                grid-column-gap: 5px;
                grid-template-areas:
                    ". usersc . userdc .";
		min-height: fit-content;
        }
        .grid5 {
                display: grid;
                grid-template-columns: 1fr 34% 0.5fr 34% 1fr;
                grid-template-rows: 100%;
                grid-column-gap: 5px;
                grid-template-areas:
                    ". users . userd .";
		min-height: 16.34vh;
        }
	.usermc, .userfc, .userd, .users, .userdc, .usersc, .userw, .userh {
		overflow-y: scroll;
 	        position: relative;
	        width: 100%;
		height: 85%;
	        margin-top: auto;
	        margin-bottom: auto;
	        display: flex;
	}
	.userv, .userm, .userf {
	        position: relative;
	        width: 100%;
	        height: 85%;
	        margin-top: auto;
	        margin-bottom: auto;
	}
	.userfc, .users, .usersc, .userh, .userhc {
	        justify-content: flex-end;
	}
	.userfc div:not(:last-child), .userh div:not(:last-child), .userhc div:not(:last-child), .usersc div:not(:last-child), .users div:not(:last-child) {
	        margin-right: 5px;
	}
	.usermc div:not(:first-child), .userw div:not(:first-child), .userwc div:not(:first-child), .userdc div:not(:first-child), .userd div:not(:first-child) {
	        margin-left: 5px;
	}
	.blockm,.blockf {
	        position: relative;
	        background-color: #fff;
	        height: 98%;
	        width: 48.7%;
	        min-width: 125px;
	        border: 1px solid black;
		min-height: 13.328vh;
	}
	.userv > div, .userm > div, .userf > div {
	        width: 99.5%;
	}
	.dcont, .scont, .wcont, .wccont, .hccont, .hcont, .mccont, .fccont, .dccont, .sccont {
	        overflow-x: scroll;
	        display: block;
	        white-space: nowrap;
	        position: relative;
	        width: 100%;
	        min-width: 127px;
	        height: 100%;
	}
	.username {
	        position: relative;
	        font-size: calc(0.75vw + 0.75vh);
	        text-align: center;
	        margin: 0;
	        line-height: 0.3em;
	}
	.usernameb {
	        position: relative;
	        font-size: 45pt;
	        text-align: center;
	        margin: 0;
	        line-height: 0.3em;
	}
	.classname {
	        position: relative;
	        font-size: calc(0.65vw + 0.65vh);
	        text-align: center;
	        margin: 0;
	        line-height: 2;
	        font-style: italic;
	}
	#firstlevel {
		display: flex;
		justify-content: space-between;
		width: 100%;
		margin-top: 10px;
		overflow: hidden;
		height: fit-content;
	}
	html #main {
		font-size: calc(0.75vw + 0.75vh);
	}
	.zag {
	        font-size: calc(0.65vw + 0.65vh);
	}
	#fact {
	        width: 52.083vw;
	        height: 95vh;
	        border: 3px solid black;
	        border-radius: 10px;
	        position: fixed;
	        padding: 10px;
	        top: 0;
	        right: 0;
	        bottom: 0;
	        left: 0;
	        margin: auto;
	        display: none;
	        background: #fff;
	        box-shadow: 0px 0px 0px 9999px rgba(0,0, 0, 0.5);
	        z-index: 1500;
	        overflow-y: scroll;
	        font-size: 20px;
	}
	#fuser {
	        width: 57.3vw;
	        height: 97.5vh;
	        border: 3px solid black;
	        border-radius: 10px;
	        position: fixed;
	        padding: 5px;
	        top: 0;
	        right: 0;
	        bottom: 0;
	        left: 0;
	        margin: auto;
	        display: none;
	        background: #fff;
	        box-shadow: 0px 0px 0px 9999px rgba(0, 0, 0, 0.5);
	        z-index: 1499;
	        overflow-y: auto;
	        font-size: 20px;
	}
	#optimg {
	        height: 50px;
	        width: 50px;
	}
	.smalltree, .gridn {
		height: auto;
	}
	.bigtree {
                height: 81.7vh;
        }
	.gridb {
                height: 16.34vh;
        }
	#rodstree {
	        border-style: none;
	        display: grid;
	        grid-template-rows: 16.34vh auto 16.34vh auto 16.34vh;
	        grid-template-columns: 100%;
	        position: absolute;
	        width: 100%;
	        height: fit-content;
	        top: 0;
	        bottom: 0;
	        left: 0;
	        right: 0;
	        margin: auto;
	        grid-row-gap: 5px;
	}
	.chat {
                width: 40vw;
                height: 70vh;
        }
	.mymes .otprav, .otmes .otprav {
        	font-size: calc(0.55vw + 0.55vh);
	}
	.mymes .messag, .otmes .messag {
	        font-size: calc(0.75vw + 0.75vh);
	}
	#mest {
		font-size: calc(0.75vw + 0.75vh);
	}
}
@media screen and (min-width: 1223px) {
	#acttab {
		--text-w: 1100px;
	}
}
@media screen and not (min-width: 1223px) {
        #acttab {
                --text-w: 90vw;
        }
}
#bigpic {
        position: fixed;
        top: 0;
        bottom: 0;
        left: 0;
        right: 0;
        text-align: center;
        background: #fff;
        width: fit-content;
        height: fit-content;
        max-width: 90vw;
        max-height: 90vh;
        padding: 5px;
        padding-top: 35px;
        z-index: 1500;
        border: 1px solid black;
        box-shadow: 0px 0px 0px 9999px rgba(0,0, 0, 0.5);
        border-radius: 5px;
        font-size: 20px;
}
textarea {
	resize: none;
}
.header-inner {
    	display: flex;
	align-items: center;
    	background-color: #ccc;
     	width: 100%;
	height: 80px;
	position: sticky;
	top: 0;
	border: 1px solid black;
	border-radius: 5px;
	z-index: 1003;
}
#footer{
	margin-top: 10px;
	background-color: #ccc;
	border: 1px solid black;
        border-radius: 5px;
        font-size: 20px;
        height: 80px;
	width: 100%;
}
#fmail {
 	width: 500px;
	height: 500px;
	text-align: center;
	padding: 15px;
	border: 3px solid #0000cc;
	border-radius: 10px;
	color: #0000cc;
	position: fixed;
	top: 0;
 	right: 0;
	bottom: 0;
	left: 0;
	margin: auto;
	display: none;
	background: #fff;
	box-shadow: 0px 0px 0px 9999px rgba(0, 0, 0, 0.5);
	z-index: 1500;
}
#fmail:target {display: block;}
/*.close {
	display: inline-block;
	border: 1px solid #0000cc;
	color: #0000cc;
	padding: 0 12px;
	margin: 10px;
	text-decoration: none;
	background: #f2f2f2;
	font-size: 14pt;
	cursor: pointer;
}
.close:hover {background: #e6e6ff;}*/
.close {
        position: absolute;
        top: 5px;
        right: 5px;
        width: 30px;
        height: 30px;
        font-size: 20px;
	z-index: 2000;
}
#input-form {
	display: inline-block;
	margin: 10px auto;
	border: 2px solid #eee;
	padding: 10px 20px;
	font-family: Verdana, Arial, sans-serif;
	font-size: 16px;
}
#textarea-form {
	display: inline-block;
	margin: 10px auto;
	border: 2px solid #eee;
	padding: 10px 20px;
	font-family: Verdana, Arial, sans-serif;
	font-size: 16px;
}
#formact input:not(#loc):not([type="checkbox"]):not([type="submit"]):not([type="time"]):not(.di):not(.ai):not(.li), #fuser input:not([type="submit"]):not([type="checkbox"]):not([type="button"]) {
	max-width: 180px;
	width: 40%;
}
#logo {
    	margin: 1px;
    	display: block;
}
#logout {
	margin-left: auto;
	margin-right: 2%;
}
#acttab {
	position: relative;
	min-width: 100%;
	width: calc(744px + var(--text-w));
	border-collapse: collapse;
	border-spacing: 0;
	table-layout: auto;
}
th, td {
	border: 1px solid black;
}
.hinput {
	display: none;
	visibility: hidden;	
}
.winput {
	display: inline;
	visibility: visible;
}
#contbut {
	width: 300px;
	position: absolute;
	margin-left: 230px;
}
.change {
	margin-left: 10%;
}
#map {
	display: none;
	width: 300px;
	height: 300px;
}
#actdesc {
        position: relative;
        width: 100%;
        height: 40px;
        z-index: 100;
        border-style: none;
}
#desc {
	position: relative;
	width: 99.5%;
	height: 30px;
	z-index: 300;
}
#counts {
	position: absolute;
	bottom: 0;
	right: 0;
	z-index: 301;
	font-size: 80%;
}
#counts {
        position: absolute;
        bottom: 0;
        right: 0;
        z-index: 301;
        font-size: 80%;
}
.prev {
	height: 40px;
	width: 40px;
	display: none;
	position: absolute;
	margin: auto;
	top: 0;
	bottom: 0;
	border-radius: 3px;
	font-size: 18px;
	font-weight: bolder;
	left: 5px;
	border: 1px solid black;
        border-radius: 5px;
	z-index: 1002;
}
.next {
	height: 40px;
	width: 40px;
	position: absolute;
	margin: auto;
	top: 0;
	bottom: 0;
	border-radius: 3px;
	font-size: 18px;
	font-weight: bolder;
	right: 5px;
	border: 1px solid black;
        border-radius: 5px;
	z-index: 1002;
}
.container {
	position: relative;
	display: flex;
        justify-content: space-around;
	width: 100%;
	height: 150px;
/*	border: 1px solid black;
        border-radius: 5px;*/
        font-size: 20px;
}
.images {
	position: relative;
	border-style: none;
	width: 100%;
	height: 100%;
}
.imagesh {
	display: none;
}
.imgact {
	position: relative;
	width: 460px;
	height: 280px;
	display: none;
	border: 1px solid black;
        border-radius: 5px;
}
.activeimg {
	display: inline-block;
	max-width: 100%;
	max-height: 100%;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	margin: auto;
	position: absolute;
	pointer-events: none;
}
.notactiveimg {
	display: none;
}
.bigmed {
	position: relative;
	width: 100%;
	height: 100%;
	display: block;
	z-index: 1001;
}
#acttab td {
	padding: 10px;
}
.actid {
	display: none;
}
#divmedia {
	border-style: none;
	width: 100%;
	height: 100%;
}
#litmedia {
	border-style: none;
	width: 100%;
	height: auto;
}
.medclass {
	height: 200px;
	width: 400px;
	border: 1px solid black;
}
.hide {
	display: none;
}
.show {
	display: block;
}
.chbut {
}
.cobut {
}
.phbut {
}
.file {
	position: absolute;
	margin-left: -500px;
	margin-top: -100px;
}
#option {
        position: relative;
        height: auto;
        width: auto;
}
#optionesc {
        position: relative;
        height: auto;
        width: auto;
	display: none;
}
.offblock {
	position: fixed;
	top: 0;
	height: 100%;
	width: 100%;
	display: none;
	z-index: 2000;
}
#offblockmp {
        position: fixed;
        top: 0;
        height: 100vh;
        width: 100vw;
        display: none;
        z-index: 2000;
}
#offblockbp {
        position: fixed;
        top: 0;
        height: 100vh;
        width: 100vw;
        display: none;
        z-index: 2000;
}
.blockm {
        border-radius: 5px;
}
.blockf {
	border-radius: 60px;
}
.fccont, .hcont, .sccont, .scont  {
	text-align: right;
}
.fccont div:not(:last-child), .hcont div:not(:last-child), .hccont div:not(:last-child), .sccont div:not(:last-child), .scont div:not(:last-child) {
	margin-right: 5px;
}
.mccont div:not(:first-child), .wcont div:not(:first-child), .wccont div:not(:first-child), .dccont div:not(:first-child), .dcont div:not(:first-child) {
        margin-left: 5px;
}
.userv {
	grid-area: userv;
}
.userm {
        grid-area: userm;
}
.userf {
        grid-area: userf;
}
.usermc {
        grid-area: usermc;
}
.userfc {
	grid-area: userfc;
}
.userd {
        grid-area: userd;
}
.userdc {
        grid-area: userdc;
}
.users {
        grid-area: users;
}
.usersc {
	grid-area: usersc;
}
.userw {
        grid-area: userw;
}
.userh {
        grid-area: userh;
}
.ti, .tr, .adus {
	cursor: pointer;
}
.tn, .tvn {
	cursor: no-drop;
}
.ch {
	display: inline-block;
}
.adus {
	border-style: dashed;
	display: block;
}
.blockm:not(.ch):not(.t):not(.tv) {
	border-style: dashed;
}
.blockf:not(.ch):not(.t):not(.tv) {
        border-style: dashed;
}
.rcont {

}
.invis {
	border-style: none;
}
.auto {
	width: auto;
	height: auto;
}
#osebe {
        position: relative;
        width: 99.5%;
        height: 30px;
        z-index: 300;
}
#countsu {
        position: absolute;
        bottom: 0;
        right: 0;
        z-index: 301;
        font-size: 80%;
}
#udesc {
        position: relative;
        width: 100%;
        height: 40px;
        z-index: 100;
        border-style: none;
}
#adblock {
	display: none;
	position: fixed;
	top: 0;
        right: 0;
        bottom: 0;
        left: 0;
        margin: auto;
	text-align: center;
	background: #fff;
	min-height: 400px;
	max-height: 90vw;
	height: fit-content;
	width: 300px;
	padding: 5px;
	z-index: 1500;
	border: 1px solid black;
	box-shadow: 0px 0px 0px 9999px rgba(0,0, 0, 0.5);
        border-radius: 5px;
        font-size: 20px;
	overflow-y: auto;
}
#mpblock {
	max-width: 90vw;
	display: none;
        position: fixed;
        top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	margin: auto;
        text-align: center;
        background: #fff;
        height: 520px;
        width: 770px;
        padding: 5px;
        z-index: 1500;
	border: 1px solid black;
	box-shadow: 0px 0px 0px 9999px rgba(0,0, 0, 0.5);
        border-radius: 5px;
        font-size: 20px;
}
#ecs, #pesc {
	position: absolute;
	margin-left: 95%;
	margin-up: 5%;
}
#parch, #parpch {
	max-width: 280px;
}
.vis {
	display: inline-block;
}
.novis {
	display: none;
}
#filecont {
	position: absolute;
	width: auto;
	heigth: auto;
	margin-left: -500px;
	margin-top: -500px;
}
.mediv, .hmediv {
	width: auto;
	height: auto;
}
.mediv {
	display: inline-block;
	border: 1px solid black;
	border-radius: 5px;
	height: max;
}
.hmediv {
	display: none;
}
.line {
	display: inline-block;
}
.infw, .infh {
	width: fit-content;
        height: fit-content;
        border: 3px solid black;
        border-radius: 10px;
        position: absolute;
        padding: 10px;
        top: 0;
        right: 0;
        bottom: 0;
        left: 0;
        margin: auto;
        background: #fff;
        box-shadow: 0px 0px 0px 9999px rgba(0, 0, 0, 0.5);
        z-index: 1500;
	overflow-y: auto;
}
.infw {
	display: block;
}
.infh {
	display: none;
}
.ainfimg {
	height: 50px;
	width: 50px;
}
.ainfo {
	position: relative;
	height: auto;
        width: auto;
}
.dinfo {
	display: none;
	width: fit-content;
        height: fit-content;
}
.chat {
	border: 2px solid black;
	border-radius: 3px;
	display: flex;
	justify-content: center;
	flex-direction: row;
        position: fixed;
        top: 0;
        right: 0;
        bottom: 0;
        left: 0;
        margin: auto;
	background: #fff;
        box-shadow: 0px 0px 0px 9999px rgba(0, 0, 0, 0.5);
	padding: 5px;
}
.chatm {
	heigth: 93%;
	height: 93%;
	overflow-y: scroll;
}
.chatc {
	padding: 1px;
}
#mest {
	width: 80%;
	height: 50px;
}
.cfsub {
	height: 100%;
	font-size: calc(1vw + 1vh);
}
#excusewin {
	position: absolute;
	display: none;
	background: #fff;
	border: 1px solid #333;
	width: 250px;
        height: fit-content;
}
#accessden {
        position: absolute;
        display: none;
        background: #fff;
        border: 1px solid #333;
        width: 250px;
        height: fit-content;
}
.map {
	max-width: 87vw;
	max-height: 90%;
	width: 750px;
	height: 500px;
	margin: 0;
}
#avcintf, #avcontm {
	max-width: 272px;
	max-height: 480px;
	width: fit-content;
	height: fit-content;
	border: 1px solid black;
}
#avdiv {
        max-width: 40%;
        max-height: 30vh;
        margin-right: 7px;
}
.dropcont {
	position: relative;
	display: inline-block;
}
.finddiv {
	position: relative;
}
.dropbuts, .findbuts {
	display: none;
	position: absolute;
	z-index: 1101;
}
.dropcont:hover .dropbuts, .finddiv:hover .findbuts {
	display: block;
}
.dropbut, findbut {
	width: 100%;
}
#chats {
	overflow-y: scroll;
	width: fit-content;
	height: 100%;
}
#chatw {
	width: 100%;
	height: 100%;
}
#chatw div {
	display:block;
}
#chati{
	display: none;
}
.mymes {
	margin-left: auto;
	mergin-right: 0;
	background-color: #AFEEEE;
}
.otmes {
	margin-left: 0;
        mergin-right: auto;
	background-color: #DDA0DD;
}
.mymes, .otmes{
	border: 1px solid black;
        border-radius: 2px;
	width: fit-content;
	height: fit-content;
}
#offblockl {
	background: rgba(0, 0, 0, 0.5);
}
#loading {
	margin: auto;
	margin-top: 250px;
        height: fit-content;
	width: fit-content;
	z-index: 2001;
}
#faqd {
	background-color: #eee;
	margin-top: 10px;
        height: calc(100vh - 212px);
        padding: 5px;
        overflow-y: scroll;
        border: 1px solid black;
        border-radius: 5px;
	font-size: calc(0.75vw + 0.75vh);
}
